Ulsav Docs

Invoices

GET
/api/v1/account/invoices

Query Parameters

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/account/invoices'
Example Response
{  "$schema": "https://example.com/schemas/PageInvoice.json",  "data": [    {      "$schema": "https://example.com/schemas/Invoice.json",      "buyerEmail": "string",      "buyerName": "string",      "buyerTaxId": "string",      "currency": "string",      "id": "string",      "issuedAt": "2019-08-24T14:15:22Z",      "kind": "string",      "lines": [        {          "description": "string",          "hsnSac": "string",          "lineTotalMinor": 0,          "quantity": 0,          "taxMinor": 0,          "taxRateBps": 0,          "unitPriceMinor": 0        }      ],      "number": "string",      "orderId": "string",      "organizationId": "string",      "placeOfSupply": "string",      "reason": "string",      "seller": {        "address": "string",        "name": "string",        "state": "string",        "taxId": "string"      },      "sellerKind": "string",      "taxComponents": [        {          "amountMinor": 0,          "baseMinor": 0,          "effect": "string",          "jurisdiction": "string",          "key": "string",          "kind": "string",          "name": "string",          "rateBps": 0        }      ],      "taxInclusive": true,      "taxRegime": "string",      "taxRuleVersion": "string",      "taxableMinor": 0,      "totalMinor": 0    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/invoices

Path Parameters

organization_id*string

Query Parameters

eventGroupIds?array<string>|

Filter by the Order's Event's EventGroup id. Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/invoices'
Example Response
{  "$schema": "https://example.com/schemas/PageInvoice.json",  "data": [    {      "$schema": "https://example.com/schemas/Invoice.json",      "buyerEmail": "string",      "buyerName": "string",      "buyerTaxId": "string",      "currency": "string",      "id": "string",      "issuedAt": "2019-08-24T14:15:22Z",      "kind": "string",      "lines": [        {          "description": "string",          "hsnSac": "string",          "lineTotalMinor": 0,          "quantity": 0,          "taxMinor": 0,          "taxRateBps": 0,          "unitPriceMinor": 0        }      ],      "number": "string",      "orderId": "string",      "organizationId": "string",      "placeOfSupply": "string",      "reason": "string",      "seller": {        "address": "string",        "name": "string",        "state": "string",        "taxId": "string"      },      "sellerKind": "string",      "taxComponents": [        {          "amountMinor": 0,          "baseMinor": 0,          "effect": "string",          "jurisdiction": "string",          "key": "string",          "kind": "string",          "name": "string",          "rateBps": 0        }      ],      "taxInclusive": true,      "taxRegime": "string",      "taxRuleVersion": "string",      "taxableMinor": 0,      "totalMinor": 0    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
GET
/api/v1/organizations/{organization_id}/invoices/{invoice_id}

Path Parameters

organization_id*string
invoice_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
buyerEmail?string
buyerName?string
buyerTaxId?string
currency*string
id*string
issuedAt*string
Formatdate-time
kind*string
lines*array<>|null
number*string
orderId*string
organizationId*string
placeOfSupply*string
reason?string
seller*
sellerKind*string
taxComponents?array<>|null
taxInclusive*boolean
taxRegime?string
taxRuleVersion?string
taxableMinor*integer
Formatint64
totalMinor*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/invoices/string'
Example Response
{  "$schema": "https://example.com/schemas/Invoice.json",  "buyerEmail": "string",  "buyerName": "string",  "buyerTaxId": "string",  "currency": "string",  "id": "string",  "issuedAt": "2019-08-24T14:15:22Z",  "kind": "string",  "lines": [    {      "description": "string",      "hsnSac": "string",      "lineTotalMinor": 0,      "quantity": 0,      "taxMinor": 0,      "taxRateBps": 0,      "unitPriceMinor": 0    }  ],  "number": "string",  "orderId": "string",  "organizationId": "string",  "placeOfSupply": "string",  "reason": "string",  "seller": {    "address": "string",    "name": "string",    "state": "string",    "taxId": "string"  },  "sellerKind": "string",  "taxComponents": [    {      "amountMinor": 0,      "baseMinor": 0,      "effect": "string",      "jurisdiction": "string",      "key": "string",      "kind": "string",      "name": "string",      "rateBps": 0    }  ],  "taxInclusive": true,  "taxRegime": "string",  "taxRuleVersion": "string",  "taxableMinor": 0,  "totalMinor": 0}